Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.servicedef
Enum OpTypeEnum

    java.lang.Object
      java.lang.Enum<OpTypeEnum>
          it.csi.mddtools.servicedef.OpTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OpTypeEnum>, org.eclipse.emf.common.util.Enumerator

    public enum OpTypeEnum

extends java.lang.Enum<OpTypeEnum>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Op Type Enum', and utility methods for working with them. [[ TODO - add documentation here ]]

See Also:
  `ServicedefPackage.getOpTypeEnum()`

Enum Constant Summary
`ASYNCH` The 'Asynch' literal object
`NOTIFY` The 'Notify' literal object
`SYNCH` The 'Synch' literal object

Field Summary
`static int` | `ASYNCH_VALUE` The 'Asynch' literal value
`static int` | `NOTIFY_VALUE` The 'Notify' literal value
`static int` | `SYNCH_VALUE` The 'Synch' literal value
`static java.util.List<OpTypeEnum>` | `VALUES` A public read-only list of all the 'Op Type Enum' enumerators

Method Summary
`static OpTypeEnum` | `get(int value)` Returns the 'Op Type Enum' literal with the specified integer value
`static OpTypeEnum` | `get(java.lang.String literal)` Returns the 'Op Type Enum' literal with the specified literal value
`static OpTypeEnum` | `getByName(java.lang.String name)` Returns the 'Op Type Enum' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static OpTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OpTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SYNCH

    public static final OpTypeEnum SYNCH

  The 'Synch' literal object.

  See Also:
    `SYNCH_VALUE`

### ASYNCH

    public static final OpTypeEnum ASYNCH

  The 'Asynch' literal object.

  See Also:
    `ASYNCH_VALUE`

### NOTIFY

    public static final OpTypeEnum NOTIFY

  The 'Notify' literal object.

  See Also:
    `NOTIFY_VALUE`

Field Detail

### SYNCH_VALUE

    public static final int SYNCH_VALUE

  The 'Synch' literal value.

  If the meaning of 'Synch' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `SYNCH`, Constant Field Values

### ASYNCH_VALUE

    public static final int ASYNCH_VALUE

  The 'Asynch' literal value.

  If the meaning of 'Asynch' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `ASYNCH`, Constant Field Values

### NOTIFY_VALUE

    public static final int NOTIFY_VALUE

  The 'Notify' literal value.

  If the meaning of 'Notify' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `NOTIFY`, Constant Field Values

### VALUES

    public static final java.util.List<OpTypeEnum> VALUES

  A public read-only list of all the 'Op Type Enum' enumerators.

Method Detail

### values

    public static final OpTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OpTypeEnum c : OpTypeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OpTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static OpTypeEnum get(java.lang.String literal)

  Returns the 'Op Type Enum' literal with the specified literal value.

### getByName

    public static OpTypeEnum getByName(java.lang.String name)

  Returns the 'Op Type Enum' literal with the specified name.

### get

    public static OpTypeEnum get(int value)

  Returns the 'Op Type Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<OpTypeEnum>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD